%global oversion 1.0M9

Name:           woden
Version:        1.0
Release:        %mkrel 0.12.M9.1
Summary:        Web Service Description Language (WSDL) validating parser
Group:          Development/Java
License:        ASL 2.0
URL:            http://ws.apache.org/woden/
# svn export https://svn.apache.org/repos/asf/webservices/woden/tags/1.0M9/ woden-1.0M9
# tar caf woden-1.0M9.tar.xz woden-1.0M9
Source0:        %{name}-%{oversion}.tar.xz
BuildArch:      noarch
  
BuildRequires: maven-local
BuildRequires: XmlSchema
BuildRequires: apache-commons-logging
BuildRequires: liblog4j12-java
BuildRequires: xerces-j2
BuildRequires: axiom

%description
The Woden project is a sub-project of the Apache Web Services Project
to develop a Java class library for reading, manipulating, creating
and writing WSDL documents, initially to support WSDL 2.0 but with the
longer term aim of supporting past, present and future versions of WSDL.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{oversion}

# Disable modules whose dependencies are not present in Fedora.  
%pom_disable_module woden-tests
%pom_disable_module woden-tool
%pom_disable_module woden-converter-maven-plugin
%pom_disable_module woden-ant

# This test should be excluded on java >= 5
rm woden-qname/src/test/java/javax/xml/namespace/QNameDeserializeTest.java

sed -i "s|<lof4j.version>1.2.15</lof4j.version>|<lof4j.version>1.2.17</lof4j.version>|" pom.xml

%build
%mvn_build

# Fix encoding
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.utf8
mv LICENSE.utf8 LICENSE

%install
%mvn_install

%files -f .mfiles
%doc README release-notes.html
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.0-0.12.M9.1.mga6
+ Revision: 981455
- First rebuild of the java stack
- sync package woden with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.7.M9.3.mga5
+ Revision: 745214
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 1.0-0.7.M9.1.mga4
+ Revision: 565339
- imported package woden


* Wed Aug 14 2013 Mat Booth <fedora@matbooth.co.uk> - 1.0-0.7.M9
- Update for latest guidelines, rhbz #992879

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.M9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 1.0-0.4.M9
- Add maven-shared to BuildRequires (RHBZ#914574)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.M9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0-0.3.M9
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.M9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Andy Grimm <agrimm@gmail.com> - 1.0-0.1.M9
- Initial package
